/* ------------------------------ */
/* ----------- Intro ------------ */
/* ------------------------------ */

body.home header {
    min-height: 245px;
}

.section--intro + .section {
    padding-top: var(--spacing-11);
}

.section--intro, .intro {
    min-height: calc(var(--app-height) - 245px);
    padding-top: 0 !important;
}

.intro {
    position: relative;
    height: 100%;
    margin: 0;
    padding: 0;
}

.intro__inside {
    width: 100%;
}

.intro__headline {
    position: relative;
    z-index: 1;
    margin-top: var(--spacing-7);
}

.headline__container {
    width: 100%;
    text-align: center;
}

.headline__container span, .headline__container h1, .headline__container .button {
    max-width: 900px;
    margin: 0 auto;
}

.headline__container h1 {
    line-height: .8;
    margin-bottom: var(--spacing-1);
    color: var(--brand-white);
}


/* Bottom */
.intro__bottom {
    position: relative;
    width: 100%;
    height: 83px;
    opacity: 0;
    margin: var(--spacing-6-5) 0;
}

.intro__bottom.is-visible {
    opacity: 1;
    -webkit-transition: all 1s cubic-bezier(0,.55,.45,1);
    -o-transition: all 1s cubic-bezier(0,.55,.45,1);
    transition: all 1s cubic-bezier(0,.55,.45,1);
    will-change: opacity,transform;
    -webkit-transition-delay: calc(var(--transition-delay) * 4);
         -o-transition-delay: calc(var(--transition-delay) * 4);
            transition-delay: calc(var(--transition-delay) * 4);
}

.intro__bottom__icon {
    position: relative;
    top: 15px;
    height: 45px;
    width: 80px;
    margin: 0 auto;
    overflow: hidden;
    -webkit-transition: var(--transition-1);
    -o-transition: var(--transition-1);
    transition: var(--transition-1);
    -webkit-animation: MoveUpDown 2s linear infinite;
            animation: MoveUpDown 2s linear infinite;
}

.no-touchevents .intro__bottom__icon:hover {
    height: 91px;
    top: -23px;
}

.intro__bottom a {
    display: block;
    height: 100%;
    width: 100%;
}

.intro__bottom span {
    position: absolute;
    height: 1px;
    width: 1px;
    clip: rect(1px,1px,1px,1px);
    border: 0;
    overflow: hidden;
}


@-webkit-keyframes MoveUpDown {
    0%, 100% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
    }
    
    50% {
        -webkit-transform: translateY(10px);
        transform: translateY(10px);
    }
}


@keyframes MoveUpDown {
    0%, 100% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
    }
    
    50% {
        -webkit-transform: translateY(10px);
        transform: translateY(10px);
    }
}



/* Intro box */
.intro_box {
    margin: 0 auto;
    background-color: var(--brand-light);
}

.intro_box__inside {
    position: relative;
    text-align: center;
}

.intro_box__inside h1 {
    margin-bottom: 0;
}

.intro_box .intro_box__label__time {
    font-weight: normal;
}



/* ------------------------------ */
/* -------- Media Queries ------- */
/* ------------------------------ */

@media all and (min-width: 2000px) {

    .headline__container h1 {
        font-size: 150px;
    }

    .headline__subtitle {
        font-size: var(--font-size-4);
    }

    .intro__bottom {
        margin-top: var(--spacing-8);
    }

}


@media all and (min-width: 1600px) and (max-width: 1999.98px) {

    .headline__container h1 {
        font-size: 140px;
    }

}

@media all and (max-width: 1599.98px) and (min-width: 1400px) {

    .headline__container h1 {
        font-size: 130px;
    }

}

@media all and (max-width: 1399.98px) and (min-width: 1240px) {

    body.home header {
        min-height: 210px;
    }

    .section--intro, .intro {
        min-height: calc(var(--app-height) - 210px);
    }

    .headline__container h1 {
        font-size: 110px;
    }

}


@media all and (max-width: 1399.98px) and (min-width: 992px) {
    
    .intro__headline {
        margin-top: var(--spacing-3);
    }

    .intro__bottom {
        margin: var(--spacing-4) 0;
    }

    .section--intro + .section {
        padding-top: var(--spacing-9);
    }

}


@media all and (max-width: 1239.98px) and (min-width: 992px) {

    body.home header {
        min-height: 190px;
    }

    .section--intro, .intro {
        min-height: calc(var(--app-height) - 190px);
    }

    .headline__container h1 {
        font-size: 100px;
    }

}


@media all and (max-width: 991.98px) {

    body.home header {
        min-height: 235px;
    }

    .section--intro, .intro {
        min-height: 0;
    }

    .intro__headline {
        margin-top: var(--spacing-5);
    }

    .intro__bottom {
        margin: var(--spacing-4) 0
    }

    .section--intro + .section {
        padding-top: var(--spacing-8);
    }


}


@media all and (max-width: 991.98px) and (min-width: 768px) {

    .headline__container h1 {
        font-size: 75px;
    }

}


@media all and (max-width: 767.98px) {

    .headline__container h1 {
        font-size: 53px;
        margin-bottom: var(--spacing-2);
    }

    .headline__container h1 br {
        content: initial;
    }

    .headline__container h1 br::after {
        content: unset;
    }

    .section--intro + .section {
        padding-top: var(--spacing-7);
    }


}